dav1d 1.5.1 dav1d is an AV1 decoder |

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations
headers.h File Reference
`#include <stdint.h>`
`#include <stddef.h>`
Include dependency graph for headers.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | Dav1dWarpedMotionParams
struct | Dav1dContentLightLevel
struct | Dav1dMasteringDisplay
struct | Dav1dITUTT35
struct | Dav1dSequenceHeader
struct | Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingPoint
struct | Dav1dSequenceHeader::Dav1dSequenceHeaderOperatingParameterInfo
struct | Dav1dSegmentationData
struct | Dav1dSegmentationDataSet
struct | Dav1dLoopfilterModeRefDeltas
struct | Dav1dFilmGrainData
struct | Dav1dFrameHeader
struct | Dav1dFrameHeader::Dav1dFrameHeaderOperatingPoint

## Macros
#define | DAV1D_MAX_CDEF_STRENGTHS 8
#define | DAV1D_MAX_OPERATING_POINTS 32
#define | DAV1D_MAX_TILE_COLS 64
#define | DAV1D_MAX_TILE_ROWS 64
#define | DAV1D_MAX_SEGMENTS 8
#define | DAV1D_NUM_REF_FRAMES 8
#define | DAV1D_PRIMARY_REF_NONE 7
#define | DAV1D_REFS_PER_FRAME 7
#define | DAV1D_TOTAL_REFS_PER_FRAME (DAV1D_REFS_PER_FRAME + 1)

## Enumerations
enum | Dav1dObuType { DAV1D_OBU_SEQ_HDR = 1 , DAV1D_OBU_TD = 2 , DAV1D_OBU_FRAME_HDR = 3 , DAV1D_OBU_TILE_GRP = 4 , DAV1D_OBU_METADATA = 5 , DAV1D_OBU_FRAME = 6 , DAV1D_OBU_REDUNDANT_FRAME_HDR = 7 , DAV1D_OBU_PADDING = 15 }
enum | Dav1dTxfmMode { DAV1D_TX_4X4_ONLY , DAV1D_TX_LARGEST , DAV1D_TX_SWITCHABLE , DAV1D_N_TX_MODES }
enum | Dav1dFilterMode { DAV1D_FILTER_8TAP_REGULAR , DAV1D_FILTER_8TAP_SMOOTH , DAV1D_FILTER_8TAP_SHARP , DAV1D_N_SWITCHABLE_FILTERS , DAV1D_FILTER_BILINEAR = DAV1D_N_SWITCHABLE_FILTERS , DAV1D_N_FILTERS , DAV1D_FILTER_SWITCHABLE = DAV1D_N_FILTERS }
enum | Dav1dAdaptiveBoolean { DAV1D_OFF = 0 , DAV1D_ON = 1 , DAV1D_ADAPTIVE = 2 }
enum | Dav1dRestorationType { DAV1D_RESTORATION_NONE , DAV1D_RESTORATION_SWITCHABLE , DAV1D_RESTORATION_WIENER , DAV1D_RESTORATION_SGRPROJ }
enum | Dav1dWarpedMotionType { DAV1D_WM_TYPE_IDENTITY , DAV1D_WM_TYPE_TRANSLATION , DAV1D_WM_TYPE_ROT_ZOOM , DAV1D_WM_TYPE_AFFINE }
enum | Dav1dPixelLayout { DAV1D_PIXEL_LAYOUT_I400 , DAV1D_PIXEL_LAYOUT_I420 , DAV1D_PIXEL_LAYOUT_I422 , DAV1D_PIXEL_LAYOUT_I444 }
enum | Dav1dFrameType { DAV1D_FRAME_TYPE_KEY = 0 , DAV1D_FRAME_TYPE_INTER = 1 , DAV1D_FRAME_TYPE_INTRA = 2 , DAV1D_FRAME_TYPE_SWITCH = 3 }
enum | Dav1dColorPrimaries { DAV1D_COLOR_PRI_BT709 = 1 , DAV1D_COLOR_PRI_UNKNOWN = 2 , DAV1D_COLOR_PRI_BT470M = 4 , DAV1D_COLOR_PRI_BT470BG = 5 , DAV1D_COLOR_PRI_BT601 = 6 , DAV1D_COLOR_PRI_SMPTE240 = 7 , DAV1D_COLOR_PRI_FILM = 8 , DAV1D_COLOR_PRI_BT2020 = 9 , DAV1D_COLOR_PRI_XYZ = 10 , DAV1D_COLOR_PRI_SMPTE431 = 11 , DAV1D_COLOR_PRI_SMPTE432 = 12 , DAV1D_COLOR_PRI_EBU3213 = 22 , DAV1D_COLOR_PRI_RESERVED = 255 }
enum | Dav1dTransferCharacteristics { DAV1D_TRC_BT709 = 1 , DAV1D_TRC_UNKNOWN = 2 , DAV1D_TRC_BT470M = 4 , DAV1D_TRC_BT470BG = 5 , DAV1D_TRC_BT601 = 6 , DAV1D_TRC_SMPTE240 = 7 , DAV1D_TRC_LINEAR = 8 , DAV1D_TRC_LOG100 = 9 , DAV1D_TRC_LOG100_SQRT10 = 10 , DAV1D_TRC_IEC61966 = 11 , DAV1D_TRC_BT1361 = 12 , DAV1D_TRC_SRGB = 13 , DAV1D_TRC_BT2020_10BIT = 14 , DAV1D_TRC_BT2020_12BIT = 15 , DAV1D_TRC_SMPTE2084 = 16 , DAV1D_TRC_SMPTE428 = 17 , DAV1D_TRC_HLG = 18 , DAV1D_TRC_RESERVED = 255 }
enum | Dav1dMatrixCoefficients { DAV1D_MC_IDENTITY = 0 , DAV1D_MC_BT709 = 1 , DAV1D_MC_UNKNOWN = 2 , DAV1D_MC_FCC = 4 , DAV1D_MC_BT470BG = 5 , DAV1D_MC_BT601 = 6 , DAV1D_MC_SMPTE240 = 7 , DAV1D_MC_SMPTE_YCGCO = 8 , DAV1D_MC_BT2020_NCL = 9 , DAV1D_MC_BT2020_CL = 10 , DAV1D_MC_SMPTE2085 = 11 , DAV1D_MC_CHROMAT_NCL = 12 , DAV1D_MC_CHROMAT_CL = 13 , DAV1D_MC_ICTCP = 14 , DAV1D_MC_RESERVED = 255 }
enum | Dav1dChromaSamplePosition { DAV1D_CHR_UNKNOWN = 0 , DAV1D_CHR_VERTICAL = 1 , DAV1D_CHR_COLOCATED = 2 }

## Macro Definition Documentation

## ◆ DAV1D_MAX_CDEF_STRENGTHS

#define DAV1D_MAX_CDEF_STRENGTHS 8

## ◆ DAV1D_MAX_OPERATING_POINTS

#define DAV1D_MAX_OPERATING_POINTS 32

## ◆ DAV1D_MAX_SEGMENTS

#define DAV1D_MAX_SEGMENTS 8

## ◆ DAV1D_MAX_TILE_COLS

#define DAV1D_MAX_TILE_COLS 64

## ◆ DAV1D_MAX_TILE_ROWS

#define DAV1D_MAX_TILE_ROWS 64

## ◆ DAV1D_NUM_REF_FRAMES

#define DAV1D_NUM_REF_FRAMES 8

## ◆ DAV1D_PRIMARY_REF_NONE

#define DAV1D_PRIMARY_REF_NONE 7

## ◆ DAV1D_REFS_PER_FRAME

#define DAV1D_REFS_PER_FRAME 7

## ◆ DAV1D_TOTAL_REFS_PER_FRAME

#define DAV1D_TOTAL_REFS_PER_FRAME (DAV1D_REFS_PER_FRAME + 1)

## Enumeration Type Documentation

## ◆ Dav1dAdaptiveBoolean

enum Dav1dAdaptiveBoolean

Enumerator
DAV1D_OFF |
DAV1D_ON |
DAV1D_ADAPTIVE |

## ◆ Dav1dChromaSamplePosition

enum Dav1dChromaSamplePosition

Enumerator
DAV1D_CHR_UNKNOWN |
DAV1D_CHR_VERTICAL | sample, between two vertical samples Horizontally co-located with luma(0, 0)
DAV1D_CHR_COLOCATED | Co-located with luma(0, 0) sample.

## ◆ Dav1dColorPrimaries

enum Dav1dColorPrimaries

Enumerator
DAV1D_COLOR_PRI_BT709 |
DAV1D_COLOR_PRI_UNKNOWN |
DAV1D_COLOR_PRI_BT470M |
DAV1D_COLOR_PRI_BT470BG |
DAV1D_COLOR_PRI_BT601 |
DAV1D_COLOR_PRI_SMPTE240 |
DAV1D_COLOR_PRI_FILM |
DAV1D_COLOR_PRI_BT2020 |
DAV1D_COLOR_PRI_XYZ |
DAV1D_COLOR_PRI_SMPTE431 |
DAV1D_COLOR_PRI_SMPTE432 |
DAV1D_COLOR_PRI_EBU3213 |
DAV1D_COLOR_PRI_RESERVED |

## ◆ Dav1dFilterMode

enum Dav1dFilterMode

Enumerator
DAV1D_FILTER_8TAP_REGULAR |
DAV1D_FILTER_8TAP_SMOOTH |
DAV1D_FILTER_8TAP_SHARP |
DAV1D_N_SWITCHABLE_FILTERS |
DAV1D_FILTER_BILINEAR |
DAV1D_N_FILTERS |
DAV1D_FILTER_SWITCHABLE |

## ◆ Dav1dFrameType

enum Dav1dFrameType

Enumerator
DAV1D_FRAME_TYPE_KEY | Key Intra frame.
DAV1D_FRAME_TYPE_INTER | Inter frame.
DAV1D_FRAME_TYPE_INTRA | Non key Intra frame.
DAV1D_FRAME_TYPE_SWITCH | Switch Inter frame.

## ◆ Dav1dMatrixCoefficients

enum Dav1dMatrixCoefficients

Enumerator
DAV1D_MC_IDENTITY |
DAV1D_MC_BT709 |
DAV1D_MC_UNKNOWN |
DAV1D_MC_FCC |
DAV1D_MC_BT470BG |
DAV1D_MC_BT601 |
DAV1D_MC_SMPTE240 |
DAV1D_MC_SMPTE_YCGCO |
DAV1D_MC_BT2020_NCL |
DAV1D_MC_BT2020_CL |
DAV1D_MC_SMPTE2085 |
DAV1D_MC_CHROMAT_NCL | Chromaticity-derived.
DAV1D_MC_CHROMAT_CL |
DAV1D_MC_ICTCP |
DAV1D_MC_RESERVED |

## ◆ Dav1dObuType

enum Dav1dObuType

Enumerator
DAV1D_OBU_SEQ_HDR |
DAV1D_OBU_TD |
DAV1D_OBU_FRAME_HDR |
DAV1D_OBU_TILE_GRP |
DAV1D_OBU_METADATA |
DAV1D_OBU_FRAME |
DAV1D_OBU_REDUNDANT_FRAME_HDR |
DAV1D_OBU_PADDING |

## ◆ Dav1dPixelLayout

enum Dav1dPixelLayout

Enumerator
DAV1D_PIXEL_LAYOUT_I400 | monochrome
DAV1D_PIXEL_LAYOUT_I420 | 4:2:0 planar
DAV1D_PIXEL_LAYOUT_I422 | 4:2:2 planar
DAV1D_PIXEL_LAYOUT_I444 | 4:4:4 planar

## ◆ Dav1dRestorationType

enum Dav1dRestorationType

Enumerator
DAV1D_RESTORATION_NONE |
DAV1D_RESTORATION_SWITCHABLE |
DAV1D_RESTORATION_WIENER |
DAV1D_RESTORATION_SGRPROJ |

## ◆ Dav1dTransferCharacteristics

enum Dav1dTransferCharacteristics

Enumerator
DAV1D_TRC_BT709 |
DAV1D_TRC_UNKNOWN |
DAV1D_TRC_BT470M |
DAV1D_TRC_BT470BG |
DAV1D_TRC_BT601 |
DAV1D_TRC_SMPTE240 |
DAV1D_TRC_LINEAR |
DAV1D_TRC_LOG100 | logarithmic (100:1 range)
DAV1D_TRC_LOG100_SQRT10 | lograithmic (100*sqrt(10):1 range)
DAV1D_TRC_IEC61966 |
DAV1D_TRC_BT1361 |
DAV1D_TRC_SRGB |
DAV1D_TRC_BT2020_10BIT |
DAV1D_TRC_BT2020_12BIT |
DAV1D_TRC_SMPTE2084 | PQ.
DAV1D_TRC_SMPTE428 |
DAV1D_TRC_HLG | hybrid log/gamma (BT.2100 / ARIB STD-B67)
DAV1D_TRC_RESERVED |

## ◆ Dav1dTxfmMode

enum Dav1dTxfmMode

Enumerator
DAV1D_TX_4X4_ONLY |
DAV1D_TX_LARGEST |
DAV1D_TX_SWITCHABLE |
DAV1D_N_TX_MODES |

## ◆ Dav1dWarpedMotionType

enum Dav1dWarpedMotionType

Enumerator
DAV1D_WM_TYPE_IDENTITY |
DAV1D_WM_TYPE_TRANSLATION |
DAV1D_WM_TYPE_ROT_ZOOM |
DAV1D_WM_TYPE_AFFINE |